QGIS Application - Bug report #18135
Point Pattern Fill issue in canvas rendering and exporting images
2018-02-18 07:26 PM - Geo Dev

Status: Open

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26028
Description

The horizontal and vertical distances in Point Pattern Fill are not always regular when set in map units. At certain map scales, the markers
are misaligned and the pattern distances progressively increase from the upper-left area to the lower-right area.

Open the attached vector layer with the associated style to replicate the issue.

The layer contains a square polygon filled with a style composed of:

- a Line Pattern Fill with spacing=100 map units and rotation=0° (horizontal lines);

- a Line Pattern Fill with spacing=100 map units and rotation=90° (vertical lines);

- a Point Pattern Fill of circular markers with the same spacing of the line patterns (horizontal and vertical distance=100 map units).

The two line patterns draw a regular grid and the markers should be exactly placed at the intersections of the horizontal and vertical lines.
Instead, at certain zoom levels (e.g. change the map scale starting from 1:500 with step=50: 1:550, 1:600, 1:650 ...), they are quite aligned
to the grid in the upper-left area but they become increasingly misaligned going to the lower-right area.

The misalignment of the point pattern with respect to the other two line patterns inhibits the making of a regular composite pattern.

The same issue also occurs in pdf/iimages exported with the Print Layout. Exporting the map e.g. with resolution=100dpi, the markers are
not aligned to the grid even when they are rendered as expected in the canvas (the issue would seem not to occur exporting with

resolution=300dpi).

The issue is OS independent and it's occurs both in QGIS 2.99.0 and QGIS 2.18.16.

History

#1 - 2018-03-06 01:57 PM - Giovanni Manghi
- Affected QGIS version changed from master to 2.99(master)

#2 - 2018-03-11 09:06 PM - Geo Dev

The issue still occurs in QGIS 3.0 and QGIS 3.1(master).

#3 - 2018-03-11 10:32 PM - Giovanni Manghi

- Affected QGIS version changed from 2.99(master) to 3.1(master)

#4 - 2018-11-16 02:29 PM - Geo Dev

The issue still occurs in QGIS 3.4.1 and QGIS 3.5(master).
#5 - 2018-11-16 04:17 PM - Giovanni Manghi
- Affected QGIS version changed from 3.1(master) to 3.5(master)

Files
test.geojson 324 Bytes 2018-02-18 Geo Dev
test.gml 2.22 KB 2018-02-18 Geo Dev
